From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/gentoo-functions/
Date: Mon, 5 Aug 2024 02:16:24 +0000 (UTC) [thread overview]
Message-ID: <1722824161.57bb72792b70a1fed1dcdea4f3345c7e049d51e1.sam@gentoo> (raw)
commit: 57bb72792b70a1fed1dcdea4f3345c7e049d51e1
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 5 02:14:49 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Aug 5 02:16:01 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57bb7279
sys-apps/gentoo-functions: fix 1.7 ebuild to be based upon 9999
Kerin rightly points out I used the wrong template. I never normally
get that wrong :(
Signed-off-by: Sam James <sam <AT> gentoo.org>
...s-1.7.ebuild => gentoo-functions-1.7-r1.ebuild} | 26 +++++++++++++++++-----
1 file changed, 21 insertions(+), 5 deletions(-)
diff --git a/sys-apps/gentoo-functions/gentoo-functions-1.7.ebuild b/sys-apps/gentoo-functions/gentoo-functions-1.7-r1.ebuild
similarity index 73%
rename from sys-apps/gentoo-functions/gentoo-functions-1.7.ebuild
rename to sys-apps/gentoo-functions/gentoo-functions-1.7-r1.ebuild
index 8df3a1e88bad..864663a97757 100644
--- a/sys-apps/gentoo-functions/gentoo-functions-1.7.ebuild
+++ b/sys-apps/gentoo-functions/gentoo-functions-1.7-r1.ebuild
@@ -3,6 +3,11 @@
EAPI=8
+inherit meson
+
+DESCRIPTION="Base functions required by all Gentoo systems"
+HOMEPAGE="https://gitweb.gentoo.org/proj/gentoo-functions.git"
+
if [[ ${PV} == 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/gentoo-functions.git"
@@ -11,11 +16,6 @@ else
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
fi
-inherit meson
-
-DESCRIPTION="Base functions required by all Gentoo systems"
-HOMEPAGE="https://gitweb.gentoo.org/proj/gentoo-functions.git"
-
LICENSE="GPL-2 public-domain"
SLOT="0"
IUSE="test"
@@ -34,3 +34,19 @@ src_configure() {
meson_src_configure
}
+
+src_install() {
+ meson_src_install
+
+ if [[ ${EPREFIX} ]]; then
+ while read -r; do
+ if [[ ${REPLY} == $'\t'genfun_prefix= ]]; then
+ printf 'genfun_prefix=%q\n' "${EPREFIX}"
+ else
+ printf '%s\n' "${REPLY}"
+ fi || ! break
+ done < "${ED}/lib/gentoo/functions.sh" > "${T}/functions.sh" \
+ && mv -- "${T}/functions.sh" "${ED}/lib/gentoo/functions.sh" \
+ || die
+ fi
+}
next reply other threads:[~2024-08-05 2:16 UTC|newest]
Thread overview: 98+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-08-05 2:16 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-05 7:28 [gentoo-commits] repo/gentoo:master commit in: sys-apps/gentoo-functions/ Sam James
2024-08-11 10:26 Sam James
2024-08-11 10:26 Sam James
2024-08-11 10:26 Sam James
2024-08-05 20:42 Sam James
2024-08-05 2:05 Sam James
2024-06-25 4:10 Sam James
2024-05-24 6:06 Sam James
2024-05-18 16:08 Sam James
2024-05-18 15:35 Sam James
2024-05-18 15:35 Sam James
2024-05-18 15:35 Sam James
2024-05-15 10:31 Sam James
2024-05-14 0:20 Sam James
2023-10-12 9:47 Sam James
2023-08-24 20:48 Sam James
2023-08-24 20:48 Sam James
2023-08-24 14:56 William Hubbs
2023-08-23 21:53 William Hubbs
2023-06-09 11:18 Sam James
2023-06-01 4:21 Sam James
2023-06-01 3:34 Sam James
2023-06-01 3:34 Sam James
2023-06-01 3:29 Sam James
2023-06-01 3:29 Sam James
2023-06-01 3:29 Sam James
2023-06-01 3:29 Sam James
2023-02-07 23:55 Sam James
2023-02-07 23:55 Sam James
2023-02-06 4:50 Sam James
2023-02-06 4:33 Sam James
2022-09-23 2:09 Sam James
2022-09-16 17:01 Arthur Zamarin
2022-09-16 10:37 Arthur Zamarin
2022-09-14 19:39 Arthur Zamarin
2022-09-07 1:50 Sam James
2022-09-06 21:44 Jakov Smolić
2022-09-06 21:41 Sam James
2022-09-06 21:41 Sam James
2022-09-06 21:37 Sam James
2022-07-29 2:18 Sam James
2022-07-29 2:08 Sam James
2022-02-24 15:02 Sam James
2022-02-19 9:40 Arthur Zamarin
2022-02-19 9:35 Arthur Zamarin
2022-02-19 3:02 Sam James
2022-02-19 2:36 Sam James
2022-02-19 2:36 Sam James
2022-02-19 2:28 Sam James
2022-02-19 2:24 Sam James
2021-08-30 21:18 Mike Gilbert
2021-05-15 22:15 David Seifert
2021-05-15 19:14 Sergei Trofimovich
2021-05-14 9:35 Agostino Sarubbo
2021-05-13 21:17 Sam James
2021-05-13 21:17 Sam James
2021-05-13 21:16 Sam James
2021-05-13 21:15 Sam James
2021-05-13 21:15 Sam James
2021-05-13 21:15 Sam James
2021-01-06 15:26 Fabian Groffen
2020-12-27 18:13 Fabian Groffen
2020-11-19 18:26 Mike Gilbert
2020-09-18 10:30 Lars Wendler
2020-09-03 23:57 Sam James
2020-08-29 14:48 Thomas Deutschmann
2020-08-27 18:22 Sergei Trofimovich
2020-08-25 17:48 Sergei Trofimovich
2020-08-23 6:49 Sam James
2020-08-22 5:43 Agostino Sarubbo
2020-08-21 18:20 Agostino Sarubbo
2020-02-08 14:18 David Seifert
2020-01-26 23:33 Mike Gilbert
2020-01-26 23:33 Mike Gilbert
2019-05-04 14:46 Mikle Kolyada
2018-01-09 23:12 Mike Frysinger
2017-10-13 14:49 Mart Raudsepp
2017-10-03 20:45 Andreas Hüttel
2017-09-10 19:47 Sergei Trofimovich
2017-08-31 1:15 Matt Turner
2017-08-31 1:15 Matt Turner
2017-08-31 1:15 Matt Turner
2017-08-29 21:39 Thomas Deutschmann
2017-08-28 4:42 Markus Meier
2017-08-25 13:45 Mikle Kolyada
2017-08-22 21:06 Sergei Trofimovich
2017-05-18 19:34 Mike Gilbert
2016-11-10 5:00 Mike Frysinger
2016-05-04 21:55 Mike Frysinger
2016-05-03 14:11 William Hubbs
2016-05-03 14:11 William Hubbs
2016-05-02 10:46 Patrice Clement
2016-05-01 21:20 William Hubbs
2016-02-29 8:46 Stephen Klimaszewski
2015-09-06 13:25 Agostino Sarubbo
2015-08-16 7:49 Jeroen Roovers
2015-08-12 5:01 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1722824161.57bb72792b70a1fed1dcdea4f3345c7e049d51e1.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox